This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 590780 - thinkpad W701 backlight control nonfunctional
thinkpad W701 backlight control nonfunctional
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-10 13:17 EDT by Monty
Modified: 2013-10-20 18:43 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:15:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
acpidump from W701 (287.68 KB, text/plain)
2010-05-10 13:17 EDT, Monty
no flags Details
dmesg dump from a clean boot W701 (59.72 KB, text/plain)
2010-05-10 13:28 EDT, Monty
no flags Details
gnome-power-mnaager --verbose dump (11.00 KB, text/plain)
2010-05-10 13:55 EDT, Monty
no flags Details

  None (edit)
Description Monty 2010-05-10 13:17:25 EDT
Created attachment 412908 [details]
acpidump from W701

Description of problem:

Thinkpad W701 backlight controls do not work.  Neither the hotkeys nor gnome-power-manager controls work.

acpi_listen indicates the hotkeys are being registered.

/sys/class/backlight for this notebook shows three interfaces:

/sys/class/backlight/acpi_video0/
/sys/class/backlight/nv_backlight/
/sys/class/backlight/thinkpad_screen/

Of the three, /sys/class/backlight/acpi_video0 is nonfunctional; though populated, the values are suspect and writing to /sys/class/backlight/acpi_video0/brightness has no effect whatsoever.

/sys/class/backlight/thinkpad_screen/brightness is partly functional, but the adjustment range is incorrect and the interface stops working entirely after the first suspend/hibernate.

The interface entries found in /sys/class/backlight/nv_backlight are 100% functional with a correct full range, and work through suspend/hibernate cycles.  It doesn't appear anything is trying to use this interface.

Version-Release number of selected component (if applicable):

Fedora 13 Beta, 2.6.33.3-85.fc13.x86_64 kernel, standard graphical boot with plymouth/Nouveau

How reproducible:

always

Steps to Reproduce:
1. Install Fedora 13 Beta on a Thinkpad W510 or W701
2. Attempt to use backlight controls
  
Actual results:

g-p-m OSD pops, but bargraph does not move.  Backlight brightness remains unaltered from boot.

Expected results:

Backlight dims/brightens according to input.  OSD reflects screen brightness changes.

Additional info:

acpidump attached for W701 25003BU with BIOS 1.03-1.10

Note that the /sys/class/backlight/thinkpad_screen interface appears to work until first suspend, however it can neither fully dim nor fully brighten the screen.  It becomes completely nonfunctional after waking from suspend.  Windows 7 users on the Lenovo forums are complaining about an identical bug; this interface is broken in the BIOS?

nevertheless the /sys/class/backlight/nv_backlight interface works 100% properly.
Comment 1 Monty 2010-05-10 13:28:41 EDT
Created attachment 412911 [details]
dmesg dump from a clean boot W701
Comment 2 Monty 2010-05-10 13:48:22 EDT
Important amendment:

Repeating my test steps more carefully with mjg, the acpi_video0 interface *is* working properly.  It has both the correct range declared and the brightness entry responds correctly.  I'm not sure how I screwed up the original test (actually I think I do know-- errant boot param), but check and double-check shows that /sys/class/backlight/acpi_video0 *is* functioning properly in a completely normal boot with and without rhgb/nouveau/plymouth.

However,the hotkeys still pop an OSD that does not respond and does not change brightness.  The hotkeys also do not work from VTs.
Comment 3 Monty 2010-05-10 13:55:25 EDT
Created attachment 412917 [details]
gnome-power-mnaager --verbose dump
Comment 4 Monty 2010-05-10 14:05:25 EDT
Another amendment-- the acpi_video0 interface does *not* work after suspend :-(
The hotkeys work, the OSD bargraph moves up and down, but the brightness does not change. the nv_backlight interface *does* still work.
Comment 5 Bug Zapper 2011-06-02 10:14:18 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-27 12:15:01 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.